FreeMat

- Main Page
- Related Pages

vtkSTLWriter

Section: Visualization Toolkit IO Classes

# Usage

vtkSTLWriter writes stereo lithography (.stl) files in either ASCII or binary form. Stereo lithography files only contain triangles. If polygons with more than 3 vertices are present, only the first 3 vertices are written. Use vtkTriangleFilter to convert polygons to triangles.

To create an instance of class vtkSTLWriter, simply invoke its constructor as follows

      obj = vtkSTLWriter

# Methods

The class vtkSTLWriter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSTLWriter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSTLWriter = obj.NewInstance ()`
- `vtkSTLWriter = obj.SafeDownCast (vtkObject o)`